{% extends "base.html" %}

{% block content %}
	<div class="w-100 h-100 d-flex justify-content-center align-items-center">
		<form
			action="/register"
			method="post"
			class="px-5 py-4 w-50 h-100 m-primary d-flex align-items-center justify-content-center flex-column"
		>
			<h1 class="mb-4 w-100 text-center">Inscription</h1>
			<input type="text" name="username" class="w-100 mb-3 form-control" placeholder="Username">
			<input type="password" class="w-100 mb-3 form-control" name="password" placeholder="Password">
			<input type="text" class="w-100 mb-3 form-control" name="firstname" placeholder="First Name">
			<input type="text" class="w-100 mb-3 form-control" name="lastname" placeholder="Last Name">
			<div class="w-50 d-flex align-items-center justify-content-center mb-3">
				<select name="gender" class="form-control me-3">
					<option value="m">M.</option>
					<option value="f">Mme.</option>
				</select>
				<input type="date" name="birthdate" class="form-control">
			</div>
			<div>
				<input type="checkbox" name="agreement">
				<label for="agreement">
					I agree to the terms and conditions
				</label>
			</div>

			<button type="submit" class="btn btn-primary mt-3 w-25">Register</button>
		</form>
	</div>
{% endblock %}